import request from '@/utils/request'

// 查询日订单列表
export function listAppletOrderDateFrequency(query) {
  return request({
    url: '/model/appletOrderDateFrequency/list',
    method: 'get',
    params: query
  })
}

// 查询日订单详细
export function getAppletOrderDateFrequency(id) {
  return request({
    url: '/model/appletOrderDateFrequency/' + id,
    method: 'get'
  })
}

// 查询日订单详细
export function getAppletOrderDateFrequencyCheck(id) {
    return request({
      url: '/model/appletOrderDateFrequency/check/' + id,
      method: 'get'
    })
}

// 新增日订单
export function addAppletOrderDateFrequency(data) {
  return request({
    url: '/model/appletOrderDateFrequency',
    method: 'post',
    data: data
  })
}

// 修改日订单
export function updateAppletOrderDateFrequency(data) {
  return request({
    url: '/model/appletOrderDateFrequency',
    method: 'put',
    data: data
  })
}

// 删除日订单
export function delAppletOrderDateFrequency(id) {
  return request({
    url: '/model/appletOrderDateFrequency/' + id,
    method: 'delete'
  })
}

// 导出日订单
export function exportAppletOrderDateFrequency(query) {
  return request({
    url: '/model/appletOrderDateFrequency/export',
    method: 'get',
    params: query
  })
}